> For the complete documentation index, see [llms.txt](https://docs.ceruleansonar.com/c/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ceruleansonar.com/c/ethernet-rov-locator/communicating-with-the-rovl/the-ethernet-interface/blue-robotics-discovery-protocol-ethernet-only.md).

# Blue Robotics Discovery Protocol (Ethernet Only)

Discovery protocol is used to find the ROVLe on an Ethernet network if you don’t know or can’t remember its IP address and/or the IP address you set for the host.

A Discovery Request is sent by the host computer to the ROVLe as an ASCII-encoded broadcast UDP packet to IP address 255.255.255.255 using port 30303. Any devices using this protocol will respond with a Discovery Response message. The body of the Discovery Request packet contains the following text (without the quotation marks):

"Discovery"

Example Discovery Request:

Discovery

The Discovery Response message is sent as an ASCII-encoded unicast UDP packet from the DVL to the host computer in response to a Discovery Request. The message is defined as follows:

`"`*`Device name`*`" + <CR><LF> +`

`"Cerulean Sonar" + <CR><LF> +`

`"MAC Address:- " + <MAC Address> + <CR><LF> +`

`"IP Address:- " + <IP Address> + <CR><LF>`

`"Port:- " + <Port Number> + <CR><LF>`

`"Firmware Version:-" + <version number> + <CR><LF>`

Example reply (using C/C++ string escape character syntax):

`ROVLe-RX\r\nCerulean Sonar\r\nMAC Address:-00-12-A4-56-FB-01\r\nIP Address:-192.168.2.3\r\nPort:-50000\r\nFirmware Version:-1.2.3\r\n`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ceruleansonar.com/c/ethernet-rov-locator/communicating-with-the-rovl/the-ethernet-interface/blue-robotics-discovery-protocol-ethernet-only.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
